Adam Hellberg:
	- Updated interface version.
	- Some format changes to the readme
	- Readme fix, &lt: -> &lt;
	- Updated readme formatting
	- Added README.md
	- Added .gitignore
	- Tagging as v4.2 Release.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/tags/v4.2@149 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Updated interface version.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@148 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Removed a tab character in enUS locales that prevented custom music from showing.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@147 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Updated for MoP 5.1.0
	Bumped interface version to 50100
	Added support for Riding Cranes
	  (/chocobo ridingcranetoggle OR via options panel)
	Updated mount check code to run faster
	
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@145 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- FIXED: Some buttons still using UIPanelButtonTemplate2.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@143 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Merged revision(s) 133-134 from branches/mop: Updated Interface to 50001 for MoP Beta 5.0.1 ........ Added new option to prevent a song from playing twice in a row. ........
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@142 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- FIXED: Should no longer error because name is nil in OnUpdate.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@139 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- FIXED: Copied PlayMusic function from mop branch, custom music should now work properly.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@137 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- FIXED: Mounts not part of the addon should no longer cause errors with the custom mounts.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@135 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Added Custom Song(s) per mount feature.
	/chocobo addcustom "<mount>" "<song>"
	OR via interface options.
	
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@129 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Added Flametalon of Alysrazor as an option.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@127 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Added Plainstrider mounts. (They sure are Chocobos!)
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@126 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Removed outdated strings from locales.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@124 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- TOC update (40300).
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@122 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- FIXED: Removed ChocoboChat.lua from TOC load list.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@121 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- REMOVED: Amazing Horse mode has been removed (Moving to independent AddOn).
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@120 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- .pkgmeta update.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@119 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- FIXED: LibDataBroker should no longer be commented in TOC file.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@118 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- FIXED: Unintended global in SlashCmdList.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@117 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Amazing Horse and locale changes.
	ADDED: Added new Worgen racial mounts to horse list.
	CHANGED: Code cleanup in locales.
	CHANGED: Unknown locale keys are now returned as "%KEY%" instead of "KEY".
	
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@115 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- ADDED: Amazing Horse Mode.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@114 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Changed position of chocobo image on the sound control panel.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@112 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Images and bug fixes.
	ADDED: A chocobo image on the main options panel and sound control options panel.
	FIXED: Setting ambience volume should no longer throw an error.
	FIXED: Naming errors in sound control XML.
	
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@111 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Changes and fixes to sound control.
	FIXED: Sound control items in the GUI should now disable when sound control is toggled off.
	FIXED: Volume should no longer change while volume control is disabled.
	
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@110 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- FIXED: Sound control tabs should no longer "deselect" when toggling default mode/sound control. CHANGED: Made most text white instead of yellow.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@109 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Numerous updates, fixes and additions.
	ADDED: Volume control.
	FIXED: "/chocobo options" should now properly open the options panel.
	FIXED: The GUI should now properly display background textures where applicable.
	FIXED: When saved variables are updated, old settings should now convert to new format.
	CHANGED: Format of Sound Control saved variables changed.
	CHANGED: Using any method to open the main Chocobo options panel should now also expand it in the list of AddOns.
	
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@107 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Made buttons nicer, code cleanup in locale files.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@106 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- FIXED: Version should no longer be prefixed with "version" or "v" (Which resulted in "version vX" and "vvX".
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@105 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- FIXED: Should no longer error when trying to add songs via the options panel.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@100 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- FIXED: /chocobo gui should now bring up the Sound Control GUI properly.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@98 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Minor localization updates.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@97 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- FIXED: The main option panel should no longer print redundant messages to chat when options change. REMOVED: Leftover debug message.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@95 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- FIXED: The Sound Control panel should no longer output status messages to chat when an option is changed, since this is redundant.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@94 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- CHANGED: Renamed ChocoboSoundControlFrame.* files to ChocoboSoundControlPanel.*.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@93 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- FIXED: Missing files added. FIXED: Forgot to remove some old files.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@92 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Major update to most stuff.
	ADDED: Split method added to ChocoboLib.
	FIXED: Various code optimizations.
	CHANGED: Sound Control has been reworked and now has more customization available.
	CHANGED: The options are now contained inside the interface panel.
	REMOVED: The old interface panel with a single button has been removed.
	
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@91 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- FIXED: LDB should now be included in no-lib packages (LDB not available as stand-alone).
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@90 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- CHANGE: Less clutter in global namespace.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@89 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- FIXED: PrintMusic and PrintMounts will now notify the user if the music or mount list is empty.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@88 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Changes to GUI and command handling.
	CHANGED: Implemented command handler to handle slash commands instead of long if-else nest.
	CHANGED: Options GUI should now look a bit nicer.
	
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@87 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- FIXED: ChocoboLib should now be included in all packaged downloads.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@85 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Cleaned up MusicCheck and added some comments.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@84 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- CHANGED: Now uses one XML file to load all locale files.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@83 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- FIXED: Should no longer error when mounting a non-Hawkstrider.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@81 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- FIXED: UnitAura returning no buff name should no longer cause the AddOn to fail.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@80 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Overall improvements to the AddOn.
	CHANGED: Some functions are now contained in the new ChocoboLib, instead of inside the main AddOn.
	CHANGED: Song storage uses a new format, current songs will be automatically fixed to fit this new format.
	FIXED: Loading process should now work better.
	
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@78 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Changes to Broker plugin.
	ADDED: Middle Click option to the Broker plugin to toggle sound control mode.
	CHANGED: The "Click" option on the Broker plugin has been changed to "Left Click".
	
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@76 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- FIXED: Should now properly disable music when Sound Control Mode is enabled. ADDED: The COPYING file containing license info is now added to the SVN repo.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@75 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- ADDED: Copyright notification at the top of all Chocobo files.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@74 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- ADDED: Right-clicking the broker plugin will now open the Chocobo Sound Control panel.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@73 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- FIXED: Removed unneeded line in SoundCheck.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@71 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- FIXED: Hotfixed the issue with music not playing the second time you mount.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@69 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Bug fixes and new sound control module.
	ADDED: New sound control module to enable and disable sound when mounting and dismounting.
	FIXED: The AddOn should now generate a lot less spam.
	FIXED: The AddOn should no longer fail to play mount music while a lot of UNIT_AURA events are thrown.
	FIXED: Missing locale variable.
	
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@67 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- ADDED: Users can now add their own mounts to be detected when the AddOn is in "Hawkstrider Only" mode.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@65 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- CHANGED: HasBuff now only uses one table with values, instead of one table with subtables containing values.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@64 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Added support for Brazilian Portuguese (ptBR) locales.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@62 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Updated the help message to use separate locale variables instead of one huge.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@61 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Added Chocobo_Broker into Chocobo since it is no longer available as a separate AddOn from Curse.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@59 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- FIXED: enUS localed updated. UPDATED: assert() on locales table and better nil checks.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@58 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- FIXED: Flight forms and Raven mounts should now be detected properly.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@56 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- FIXED: TOC version number updated to 40200.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@54 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- CHANGED: Moved some code around. CHANGED: More efficient event registration.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@53 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Improvements to code.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@52 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- TOC Update (40100).
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@50 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- CHANGED: _G["Chocobo"] to Chocobo.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@49 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- CHANGED: Moved the check if AddOn is enabled to abort it earlier.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@48 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- FIXED: ToggleGameMenu() should no longer be called if the Game Menu is not currently visible (may fix the "Action blocked" popups.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@47 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- CHANGED: Code changes (one global contains all functions). ADDED: Added a panel to interface options with a button to open options. REMOVED: Removed unused "Names" table in Chocobo table.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@45 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- CHANGED: Made more changes to HasBuff and HasMount.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@43 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- CHANGED: HasBuff and HasMount changed to work better. REMOVED: Removed redundant parentheses in code.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@41 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- ADDED: When AllMounts is enabled, music will now play on druid flight forms. CHANGED: Restructured code.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@39 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Added debug section.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@37 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- TOC Updated
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@36 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Changed checkbutton template to OptionsCheckButtonTemplate
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@35 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Fixed: German locale should not load by default anymore.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@33 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Changed version in TOC
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@30 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Added: Option to play music on the Raven Lord (Anzu) mount.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@29 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Fixed: Broken setmetatable. Changed size of the buttons in the GUI to fit German strings.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@28 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Removed comment about Game Music not stopping when playing custom music. (Was fixed in 4.0.3)
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@27 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Changed version in TOC file
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@26 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Uncommented locales in the TOC file
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@25 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Changed the way unlocalized strings are handled.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@23 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Localization support added. Help with localization here: http://wow.curseforge.com/addons/chocobo/localization/
	Locale files commented (in the TOC) in Alpha for testing.
	
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@22 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Missing comma added.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@20 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Added Swift Warstrider to the mount list (Thanks Khormin).
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@19 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Fixed: Broken debug function.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@17 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Fixed: You can no longer add files with blank names to list. Changed how saved variables are handled. Custom songs will have to be re-added to the list.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@15 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Current version is now shown on the options window.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@13 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Added a GUI for easier configuration! /chocobo options
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@12 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Added a comment to better describe Chocobo.Songs
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@10 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- You can now add your own music to be played when you mount by doing: /chocobo add <songName>. The song can be any format supported by WoW (mp3, ogg et.c) To remove a song, type: /chocobo remove <songName>. To list all songs, type: /chocobo list. To reset song list to default, type: /chocobo reset.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@8 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Fixed: Typo and changed version to 2.1 in TOC.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@6 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Added slash command to toggle AddOn on and off: /chocobo toggle. Added two more chocobo themes from Final Fantasy XII and XIII.
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@4 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- Adding files to project
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@2 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
	- "chocobo/mainline: Initial Import"
	git-svn-id: svn://svn.curseforge.net/wow/chocobo/mainline/trunk@1 b5868af5-df1d-4ace-9c31-b94f5fcd69ed
